﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.InterestDto>
@{
    ViewBag.Title = "Interest";
}
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">이자내역 /ประวัติผลตอบเเทน</h5>
                    </div>
                </div>
                @using (Html.BeginForm("", "Interest", FormMethod.Post))
                {
                    <div class="card-body">
                        <div class="justify-content-center row">
                            <div class="col-md-6 col-xl-auto mb-2">
                                @Html.DropDownList("drp", ViewBag.Search as SelectList, new { @class = "bg-white border form-control" })
                            </div>
                            <div id="divKey" class="col-md-6 col-xl-2 mb-2 ml-lg-n4">
                                @Html.TextBox("keyword", ViewBag.CurrentFilter as string, new { @class = "form-control border bg-white" })
                            </div>
                            <div class="col-md-6 col-xl-auto mb-2 ml-lg-n4">
                                <button type="submit" class="btn btn-info mb-2 w-100" id="btnSearchs"><i class="icon-magnifier mr-2"></i>Search</button>
                            </div>

                        </div>
                    </div>
                }

            <div class="card-body mt-lg-n3 table-responsive">
                <div style="min-width:1366px;max-width:100%; margin:auto;">
                    <div class="align-middle">
                        <span class="badge badge-primary badge-pill">전체 @ViewBag.Count 건</span>
                        <div class="float-right">
                            @using (Html.BeginForm("ExportToExcel", "Interest", FormMethod.Post))
                            {
                                <button type="submit" id="btnExport" style="margin-top:-10px;" class="btn btn-rounded btn-warning"><i class="icon-printer mr-2"></i> Export</button>
                            }
                        </div>
                    </div>
                    <div class="table-responsive m-b-30 mt-2">
                        <table class="table table-bordered">
                            <thead class="thead-dark">
                                <tr class="text-center">
                                    <th class="align-middle" style="width:200px;">회원아이디 / รหัสสมาชิก</th>
                                    <th class="align-middle">이름 / ชื่อ</th>
                                    <th class="align-middle" style="width:300px;">이자금액 / ราคากำไร</th>
                                    <th class="align-middle" style="width:300px;">이자금액 / ราคากำไร</th>
                                    <th class="align-middle" style="width:200px;">이자발생날짜 / วันที่ขาย</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if (Model != null && Model.Count() != 0)
                                {
                                    foreach (var item in Model)
                                    {
                                        <tr class="text-center">
                                            <td class="align-middle" style="width:200px;">@Html.DisplayFor(modelItem => item.username)</td>
                                            <td class="align-middle">@Html.DisplayFor(modelItem => item.fullname)</td>
                                            <td class="align-middle" style="width:300px;">@Html.DisplayFor(modelItem => item.point)</td>
                                            <td class="align-middle" style="width:300px;">@Html.DisplayFor(modelItem => item.interest)</td>
                                            <td class="align-middle" style="width:200px;">@Html.DisplayFor(modelItem => item.sale_date)</td>
                                        </tr>
                                    }
                                }
                                else
                                {
                                    <tr class="text-center">
                                        <td colspan="5">
                                            No Data !!
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                    @{
                        if (Convert.ToInt32(ViewBag.Count) > ViewBag.Rows)
                        {
                            <div class="justify-content-center row">

                                @Html.PagedListPager(Model, Page => Url.Action("Index", "Interest", new { Page }))

                            </div>
                        }
                    }
                </div>
            </div>
                </div>
            <!-- End XP Col -->
        </div>
    </div>
</div>
<script>
    $(function () {
        $("#liHistory").addClass("active");
        $("#meInterest").addClass("active");

    });
</script>
